
:root {
color-scheme: dark;
--font: 'Montserrat';
--font_weight: '500';
--color: #fff;
--color_bg: #171717;
--theme_color: #5b924b;
}

* { text-rendering: geometricPrecision; -webkit-tap-highlight-color: transparent; -webkit-touch-callout: none; -khtml-user-select: none; 
-moz-user-select: none; -ms-user-select: none; user-select: none; outline: none; scroll-behavior: smooth; }

html { height: 100%; margin: 0; background: #3c5064; color: #fff;
background: linear-gradient(132deg, #3c5064, #3c5064, #3caf96, #3c5064, #3c5064); background-size: 300% 300%;
animation: subtleFlow 30s ease infinite; }

@keyframes subtleFlow {
  0% { background-position: 0% 50%; }
  25% { background-position: 100% 50%; }
  50% { background-position: 0% 50%; }
  75% { background-position: 100% 50%; }
  100% { background-position: 0% 50%; }
}

body { margin: 0; height: 100%; display: flex; flex-direction: column; justify-content: center; align-items: center;
background-image: url(''); background-size: cover; background-position: left; background-repeat: no-repeat; }
html * { font-family: 'Fira Code'; }
body { height: 100%; margin: 0; overflow-x: hidden; }
a { color: #fff; text-underline-offset: 4px; }

body:has(dialog[open]) {overflow: hidden;}
dialog { margin: 0; padding: 0; }
.modal { margin: auto auto auto auto; width: calc(100% - 30px); max-width: 400px; background-color: transparent; border: 0; transform: scale(0.75); opacity: 0; 
overflow: visible; transition: all .3s ease-in-out; }
.modal::backdrop { background-color: #121212; opacity: .9; transition: all .3s ease-in-out; }

.dialog_close { fill: #999; cursor: pointer; stroke: #999; margin-right: -1px; margin-top: -1px; }
.dialog_close:hover { fill: #fff; stroke: #fff; }

.dialog_gap { padding: 0px 0px 0px 0px; margin: 0; margin-top: -45px; }
.dialog_box { padding: 20px 0px 10px 0px; border-radius: 10px; background-color: #20231e; color: #fff; border: 1px solid #222; 
  box-shadow: 0px 0px 20px #151614; margin: 0; }
.dialog_box h2 { padding: 0px 0px 10px 0px; word-spacing: -0.2em; color: #fff; font-size: 18px; line-height: 18px; font-weight: 600; margin-top: -0px; }
.dialog_box a { color: #fff; }
.dialog_box a:hover { color: #fff; }

.info { position: absolute; top: 0; text-align: right; width: calc(100% - 15px); padding: 20px 15px 0px 0px; }
.info svg { cursor: pointer; fill: #777; opacity: .5; }
.info svg:hover { opacity: 1; }

#refresh { cursor: pointer; }
#refresh svg { fill: #fff; transition: fill .2s ease-in-out; margin: 0px 0px 0px 0px;  }
#refresh svg:hover { fill: #eee; }
#refresh svg:active { fill: #fff; }

#name { font-size: 26px; line-height: 34px; height: 34px; max-height: 34px; overflow: hidden; margin: -30px 0px 20px 0px; 
letter-spacing: -0.01em;  word-spacing: -0.1em; transition: all .3s ease-in-out; }

.popDat { transform: scale(1); opacity: 0; transition: transform 600ms ease-in-out;
animation: popDat 600ms cubic-bezier(0.34, 1.56, 0.64, 1) forwards; animation-delay: 0ms; }
@keyframes popDat {
  0% { transform: scale(0.8); opacity: 0; }
  60% { transform: scale(1.04); opacity: 1; }
  80% { transform: scale(0.98); opacity: 1; }
  100% { transform: scale(1); opacity: 1; }
}

#options { font-size: 14px; line-height: 14px; font-weight: 400; text-decoration: underline; opacity: 1; text-underline-offset: 4px;  }
#options:hover { cursor: pointer; opacity: 1; }

#options svg { fill: #fff; transition: fill .2s ease-in-out; margin: 0px 0px 0px 0px; }
#options svg:hover { fill: #eee; }
#options svg:active { fill: #fff; }


input[type=text] { -webkit-appearance: none; -moz-appearance: none; appearance: none; 
width: 100%; color: #ccc; text-align: left; background-color: #fff; font-weight: normal; font-family: 'Reddit Mono'; }
input[type=text]:hover {   }
input[type=text]:focus, input[type=text]:active {  box-shadow: none; }
input[type=text].error { }
input[type=text].error:focus, input[type=text].error:active { color: #000; }
input[type="text"] { border: 0px; background-color: transparent; color: #e1d9cc; border-radius: 0px; -moz-border-radius: 0px; -webkit-border-radius: 0px;
border-bottom: 1px solid rgba(255, 255, 255, 1); }
input[type="text"]:focus, input[type="text"]:active { border-bottom: 1px solid var(--theme_color); color: #fff; }
.input-field { position: relative; width: 100%; }

label {
  position: absolute;
  top: 12px;
  left: 0;
  width: 100%;
  color: #e1d9cc;
  transition: all ease-in-out .25s;
  cursor: text;
  text-align: left;
  font-size: 17px;
}
input {
  width: 100%;
  outline: 0;
  text-align: left;
}
input:invalid {
  outline: 0;
}
input:focus { border-color: var(--theme_color); color: #fff;
  }
input:valid { border-color: #e1d9cc; color: #fff; }
input:focus~label,
input:valid~label {
  font-size: 12px;
  letter-spacing: 0.01em;
  text-align: left; 
  top: -5px;
  font-weight: 500;
  color: #fff;
}

input[type="text"] { padding: 15px 0px 10px 0px; margin: 0px 0px 20px 0px; font-size: 17px; line-height: 17px; color: #fff; }



select {
  padding: 0px 0px 0px 0px;
  margin: 0px 0px 0px 0px; cursor: pointer;
  outline: none; outline-style: none; background-color: transparent;
  }
  select { display: block; border: 1px solid #f1f1ef; margin: 0px 10px 5px 0px; text-align-last: center; padding: 0px 0px 0px 15px; color: #ccc;
width: calc(100% + 2px);
font-size: 18px; line-height: 18px; height: 50px; font-weight: normal;  }

select.add_to_cart {  font-weight: 500; text-align: left; text-align-last: left; padding: 2px 2px 2px 33px !important;
-webkit-appearance:none; -moz-appearance:none; appearance:none;  color: #999; cursor: pointer; }
option  { font-weight: 500; font-size: 14px; line-height: 16px; text-align: left; padding: 2px 2px 2px 2px; color: #fff; }

option { padding: 0px 0px 0px 0px; outline: none; background-color: #111; text-align: center; }
.cart_option { background-color: #111; color: #fff; 
 cursor: pointer !important; text-align: center; }
.cart_option strong { font-weight: 700;  }
option { direction: rtl; }


.select {
display: inline-block;
  padding: 11px 50px 11px 12px;
  margin: 10px 0px 0px 10px;
  cursor: pointer;
  background-color: #fff;
  border: 0px solid rgba(0,0,0,.25);
  font-size: 17px; line-height: 17px;
  color: #111;
  border-radius: 3px;
  -webkit-appearance: none;
  appearance: none;
  -moz-appearance: none;
  background-image: url('/img/svg/down.svg');
  background-repeat: no-repeat;
  background-size: 18px 18px;
  background-position: calc(100% - 10px);
  word-spacing: -0.01em;
}
.select span { font-size: 17px; line-height: 17px; text-decoration: line-through; color: #111; }

.select_option {
  background-color: rgba(0,0,0,.0);
  border-bottom: 0px solid rgba(0,0,0,.1);
  color: var(--white);
  padding: 5px 12px 0px 10px; margin: 0px 0px 0px 0px;
  font-size: 20px; line-height: 20px; font-weight: 500;
  letter-spacing: -0.01em; word-spacing: -0.2em;
  border-radius: 0px;
  cursor: pointer;
}
.select_option .option_label * { font-size: 20px; line-height: 20px; }
.select_option:hover {
}
.select_option:hover .option_label { color: var(--white) !important; font-weight: 700; }

.strike { font-size: 17px; line-height: 17px; text-decoration: line-through; }

.select_option_selected  {
  color: var(--theme_color); font-weight: 700; }

.select_option_selected .option_label {
  color: var(--theme_color); }

.option_label { display: inline-block; font-size: 17px; line-height: 17px; color: var(--white); padding: 1px 0px 0px 0px; }
.option_list { border: 0px solid rgba(0,0,0,.1); margin-bottom: 0px; padding: 0px 0px 30px 0px; }
.option_list .select_option:last-child { border-bottom: 0px; margin-bottom: -0px; }
.select_circle { display: inline-block; width: 20px; line-height: 14px; }
.select_circle div { border-radius: 7px; height: 14px; width: 14px; background-color: rgba(255,255,255,.25); margin-top: -13px; position: absolute; line-height: 14px; }
.select_option:hover .select_circle div { background-color: var(--theme_color); }
.select_option_selected .select_circle div { background-color: var(--theme_color); }
.select_option_selected:hover .select_circle div { background-color: var(--theme_color); }
.select_option_selected:hover .option_label { color: var(--theme_color) !important; }

#save { display: table; padding: 15px 30px 15px 30px; margin: 0px auto 10px auto; background-color: #fff; color: #111; border-radius: 24px; cursor: pointer;
font-size: 17px; line-height: 17px; font-weight: 700; transition: all .3s ease-in-out; }
#save:hover { color: var(--theme_color); }
#save:active { color: var(--theme_color); }

.cap { text-align: center; transition: color .3s ease-in-out, background-color .3s ease-in-out;
top: 0; width: 100%; padding: 30px 0px 0px 0px; position: absolute; text-align: center; font-weight: 900; 
font-size: 15px; line-height: 15px; text-transform: uppercase; letter-spacing: .05em; }
.cap * { line-height: 15px;  }
.cap div { display: inline-block; padding: 0px 0px 0px 0px; }
.cap span { font-size: 15px; font-weight: 600; color: #fff; width: 100%; white-space: nowrap; overflow: hidden; 
border-right: 3px solid rgba(255,255,255,.5); display: inline-block; padding: 0px 0px 0px 0px;
animation: typing 2s steps(36), cursor .4s step-end infinite alternate; }
.cap .buffer { display: inline-block; width: 2px; max-width: 2px; }

@keyframes cursor { 50% { border-color: transparent; } }
@keyframes typing { from { width: 0; } }

.spinning { animation: spin 3s linear infinite; }

@keyframes spin {
from { transform: rotate(0deg);   }
to   { transform: rotate(360deg); }
}

#footer { bottom: 0; width: 100%; padding: 0px 0px 30px 0px; position: absolute; text-align: center; opacity: 1; line-height: 24px; }
#footer img { height: 24px; }
#footer svg { height: 24px; fill: #fff; opacity: .15; transition: all .5s ease-in-out; }
#footer svg:hover { opacity: 1; cursor: pointer; }

nav[role="navigation"] { word-spacing: 1em; height: 24px; line-height: 24px; }